Bug 191802 - xorg-x11-xsm fails to build using mock
xorg-x11-xsm fails to build using mock
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-xsm (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks: FC6Target BuildReqBlocker
  Show dependency treegraph
 
Reported: 2006-05-15 17:04 EDT by Alexander Täschner
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.0.2-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-30 17:49:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
build.log of mock (4.17 KB, text/plain)
2006-05-15 17:04 EDT, Alexander Täschner
no flags Details
build.log of sucessful build (33.87 KB, text/plain)
2006-05-15 18:10 EDT, Alexander Täschner
no flags Details

  None (edit)
Description Alexander Täschner 2006-05-15 17:04:53 EDT
Building the SRPM
http://download.fedora.redhat.com/pub/fedora/linux/core/5/source/SRPMS/xorg-x11-xsm-1.0.1-1.2.src.rpm
using mock fails.

Attached is the build.log.
Comment 1 Alexander Täschner 2006-05-15 17:04:54 EDT
Created attachment 129120 [details]
build.log of mock
Comment 2 Alexander Täschner 2006-05-15 18:10:09 EDT
Created attachment 129127 [details]
build.log of sucessful build

Adding the lines

BuildRequires: rsh libXaw-devel xorg-x11-proto-devel libXt-devel libXext-devel
BuildRequires: libXpm-devel xorg-x11-util-macros

to xorg-x11-xsm.spec solves the build problem.

Attached is the build log.
Comment 3 Mike A. Harris 2006-05-16 13:54:58 EDT
Adding to FC6Target
Comment 4 Adam Jackson 2006-05-30 17:49:34 EDT
Fixed in rawhide, thanks!

Note You need to log in before you can comment on or make changes to this bug.